SystemOrganization addCategory: #GODBasesTests!

TestCase subclass: #GDBDataTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODBasesTests'!

!GDBDataTest methodsFor: 'helper' stamp: 'lacm 11/5/2014 15:51'!
myMagmaCollection
	^ GDBConnection database.! !

!GDBDataTest methodsFor: 'helper' stamp: 'lacm 11/8/2014 11:14'!
setUp	

	GDBController uniqueInstance.! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 11/7/2014 21:50'!
testAddGODDataIsSaved
	|retrievedLastGODData myGODData|
	
		
	myGODData:=	GODData new author: 'author A'; title: 'title A'; yourself.
	
	GDBController add: myGODData.	
	GDBController release.
	
	self should:[self myMagmaCollection size = 1].
	retrievedLastGODData:= self myMagmaCollection detectMax:[:each | each id].
	self should:[retrievedLastGODData id > 0]. ! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 11/7/2014 21:48'!
testRemoveGODDataIsSaved
	|removedGODData|
       removedGODData:= GODData new author: 'author B';
										  title: 'title B' ;
										  yourself.		
	GDBController add: removedGODData.
	
	self should:[self myMagmaCollection size = 1].
	
	GDBController remove: removedGODData.
	
	GDBController release.
	
	self should:[self myMagmaCollection size = 0].! !

!GDBDataTest methodsFor: 'tests' stamp: 'lacm 11/7/2014 21:48'!
testRepositoryEmptyDatabase
	self should: [self myMagmaCollection size = 0].
	
GDBController release.! !
